Hashrate IndexAPI DocumentationAsic

Get ASIC Energy Calc

GET
/asic/energy-calc

/asic/energy-calc has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

ASIC Energy Calculation

This endpoint provides detailed calculations on the energy consumption and potential profitability of ASIC mining operations. It factors in the number of ASICs per megawatt, daily revenue, and capital expenditure.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/asic/energy-calc"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ASICEnergyCalcData.json",  "data": [    {      "asicCountPerMW": 0,      "capExPerMW": 0.1,      "dailyBTCPerMW": 0.1,      "dailyUSDPerMW": 0.1,      "model": "string",      "paybackDays": 0,      "slug": "string",      "totalHashrate": 0.1    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}